Home

Next week, a weak version of SSL encryption (version 3.0) is scheduled to be disabled for the this website(ourpsb.com). This is not due to a flaw with the website, but a general vulnerability in Internet communications everywhere. We are proactively disabling this vulnerable communication (SSLv3) for your protection.

Since modern operating systems and internet browsers support TLS (a newer form of encryption) as well as SSL based communications, the impacts are expected to be minimal to all but those customers who are still using obsolete and unsupported browsers (e.g., Windows XP with Internet Explorer 6).

If, and only if, you are using a significantly out-of-date operating system and/or internet browser, you may want to research upgrading to a modern bowser. Again, this upgrade is not mandatory and no specific recommendation is being made. This is simply informational.